modify metacat native interfaces to support arbitrary identifiers and system metadata

2010-04-21 23:49 - Matthew Jones

Status: Closed Start date: 2010-10-07

Priority: High Due date:  

Assignee: Chris Jones % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2011.09-Block.2   

Story Points:    

Description

Metacat now supports arbitrary identifiers, but only if called from the dataone service API, which allows the proper mapping of

arbitrary identifiers to Metacat's own internal local identifier (docid) format.  We need to modify all methods that can create or update

documents so that the global identifiers are updated whenever a change to a document in metacat occurs.

Likewise, we need to modify all methods that can create or update documents to also update the system metadata.  Specifically,

data typing information needs to be parsed from the science metadata documents (EML, FGDC, etc.) such that calls to either the

data one service interface or the metacat servlet interface return the correct object type.

Subtasks:

Task # 365: refactor handleDeleteAction() to support GUIDs Closed

Task # 364: refactor handleInsertOrUpdateAction() to support GUIDs Closed

Task # 1336: CrudService.createSystemMetadata needs to set ObjectFormat accurately from... Closed

Task # 1276: CrudService.createSystemMetadata needs to add describes/describedBy elemen... Closed

History

#1 - 2010-04-21 23:53 - Redmine Admin

Updated status, related task in progress

#2 - 2010-10-06 05:37 - Matthew Jones

- Position set to 3

- Target version changed from CCI-1.0 to CCI-0.6

#3 - 2010-10-06 17:38 - Chad Berkley

- Target version deleted (CCI-0.6)

- Position deleted (11)

- Position set to 16

#4 - 2010-10-06 17:39 - Chad Berkley

- Milestone set to CCI-0.6

#5 - 2010-10-06 19:59 - Matthew Jones

- Category changed from Documentation to Metacat

#6 - 2010-10-07 17:01 - Matthew Jones

- Position deleted (22)

- Target version set to Sprint-2010.41

- Position set to 9

#7 - 2010-10-07 17:02 - Matthew Jones

- Target version changed from Sprint-2010.41 to Sprint-2010.42

- Position deleted (9)
- Position set to 1

#8 - 2010-10-22 16:48 - Chad Berkley

- Position deleted (17)

- Position set to 1

- Target version deleted (Sprint-2010.42)

#9 - 2010-11-08 18:06 - Dave Vieglais

- Position deleted (17)

- Position set to 41

#10 - 2011-02-09 02:24 - Chris Jones

- Subject changed from modify metacat native interfaces to support arbitrary identifiers to modify metacat native interfaces to support arbitrary

identifiers and system metadata

#11 - 2011-02-09 04:01 - Matthew Jones

In addition to the items above, we also need to ensure that describes/describedBy, obsoletes/ObsoletedBy from update operations) are properly filled

in.

#12 - 2011-02-09 22:59 - Matthew Jones

- Target version set to Sprint-2011.06

- Position deleted (112)

- Position set to 1

#13 - 2011-02-09 23:00 - Matthew Jones

- Assignee changed from Matthew Jones to Chris Jones

- Status changed from New to In Progress

#14 - 2011-02-14 18:18 - Matthew Jones

- Target version changed from Sprint-2011.06 to Sprint-2011.07

- Position deleted (4)

- Position set to 37

#15 - 2011-02-28 17:47 - Chris Jones

- Position deleted (49)

- Position set to 42

- Target version changed from Sprint-2011.07 to Sprint-2011.09-Block.2

#16 - 2011-03-07 17:41 - Chris Jones

- Status changed from In Progress to Closed

- Milestone deleted (CCI-0.6)
